This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 598629 - preupgrade-1.1.7-1.fc12 grub.conf missing spaces, results in failed upgrade
preupgrade-1.1.7-1.fc12 grub.conf missing spaces, results in failed upgrade
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On: 592345
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 14:27 EDT by Jerry Amundson
Modified: 2010-11-03 10:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: preupgrade-1.1.8-1.fc12.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 592345
Environment:
Last Closed: 2010-11-03 10:06:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2010-06-01 14:27:49 EDT
+++ This bug was initially created as a clone of Bug #592345 +++

A preupgrade-cli upgrade fails when stage2 needs a download. Note the diff between lines 226 and 235.

# egrep -n "(ks|repo|stage2)=" /usr/share/preupgrade/preupgrade-cli.py
220:            extra_args += " ks=%s" % self.generate_kickstart(extra_cmds=self.kickstart_cmds)
226:            extra_args += " stage2=%s" % bootdevpath
235:            extra_args += "stage2=" + stage2url
293:        # Add repo=PATH to boot commandline
295:        extra_args = "repo=%s %s" % (repopath, extra_args)
Comment 1 He Rui 2010-06-03 04:47:28 EDT
I can confirm this preupgrade-cli failure because of lacking space before 'stage2=' in grub. The graphical preupgrade works fine.
Comment 2 Andrew Junev 2010-06-04 14:27:26 EDT
I confirm the missing space issue in preupgrade-cli, too.
Comment 3 Bug Zapper 2010-11-03 09:43:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 James Laska 2010-11-03 10:06:08 EDT
https://admin.fedoraproject.org/updates/preupgrade-1.1.8-1.fc12.1 has been
pushed to stable ... I'm closing this out

Note You need to log in before you can comment on or make changes to this bug.